hold off;

% number of random variates
N = 4000;
% width of histogram bars
barwidth = 0.5;

% create normally distributed random numbers
x = randn(1,N);
% set up centers of histogram bars
h = [-5:barwidth:5];
% plot the histogram
hist(x,h)
hold on;

% scaling factor for normal curve
yscale = N*barwidth;
% x-values for normal curve
xx = [-5:0.1:5];
% y-value for normal curve
yy = yscale * exp(-0.5*(xx .* xx))/sqrt(2*pi);
% plot the normal curve
plot(xx,yy);

% label the axes
xlabel('departure from mean');
ylabel('frequency');

hold off;